/* =========================================================
LAYOUT.CSS - STRUCTURE GLOBALE (mobile first)
========================================================= */

/* RESPONSIVE TÉLÉPHONE PAR DÉFAUT */
.visible-mobile-no {display: none} /* Redéfini dans responsive.css - Laisser cette règle ici pour les tests SANS responsive.css */

hr::before,
.clearfix::after {
  content: "";
  display: table;
  clear: both}

.dsp-bk {display: block}
.dsp-ib {display: inline-block}
.dsp-il {display: inline}

.screen-reader-text {/* Masquer sauf pour lecteurs écran */
  border: 0;
  clip: rect(0, 0, 0, 0);
  height: 1px; width: 1px;
  margin: -1px;
  overflow: hidden;
  padding: 0;
  position: absolute}


/* ===== LARGEURS GLOBALES ===== */
.w100 {width: 100%}

.mw-xxl {max-width: 2560px}/* Très large si besoin d'une image pleine largeur */
.mw-xl {max-width: 1920px}
.mw-l {max-width: 800px}


/* ===== MARGIN & PADDING COMMUNS ===== */
.m-auto,
.mw-l, .mw-xl, .mw-xxl,
.w100 {margin-left: auto; margin-right: auto}

.ma-0 {margin: 0}
.mt-3 {margin-top: 3rem}

.p-lr {padding-left: 16px; padding-right: 16px}

.p-bt-1 {padding-bottom: 1rem; padding-top: 1rem}
.p-bt-2 {padding-bottom: 2rem; padding-top: 2rem}
.p-bt-3 {padding-bottom: 3rem; padding-top: 3rem}

.pt-3 {padding-top: 3rem}
.pb-4 {padding-bottom: 4rem}


/* HEADER */
.site-header__inner{padding-bottom: 32px; padding-top: 24px}/* Redéfini pour tablette et + */


/* FOOTER */
.site-footer p {margin: 0}